<div class="table-box">
  <table>
    <thead>
      <tr>
        <th>Name</th>
        <th>First Month</th>
        <th>Last Month</th>
        <th>Last Modified On</th>
        <th></th>
      </tr>
    </thead>
    <tbody>
      <ng-container *ngFor="let item of budgetList">
        <tr (click)="item.toggle = !item.toggle" style="cursor: pointer">
          <td>{{item.name}}</td>
          <td>{{item.first_month | date : 'MM/dd/yyyy'}}</td>
          <td>{{item.last_month | date : 'MM/dd/yyyy'}}</td>
          <td>{{item.last_modified_on | date : 'MM/dd/yyyy h:mm a'}}</td>
          <td><div class="indic" [ngClass]="{'selected': item.toggle}">›</div></td>
        </tr>
        <tr *ngIf="item.toggle">
          <td colspan="5">
            <app-budget-detail [bidID]="item.id"></app-budget-detail>
          </td>
        </tr>
      </ng-container>
      <tr *ngIf="!budgetList?.length">
        <td colspan="4">
          {{ errMsg || 'No budget available' }}
        </td>
      </tr>
    </tbody>
  </table>
</div>